using skyscraper5.Dvb.DataBroadcasting.IntModel;
using System;
using System.Collections.Generic;

namespace skyscraper5.Skyscraper.Scraper.Storage.Utilities
{
	public class DatabaseKeyInt
	{
		private uint platformId;
		private uint targetId;

		public DatabaseKeyInt(uint platformId, uint v)
		{
			this.platformId = platformId;
			this.targetId = v;
		}

		public override bool Equals(object? obj)
		{
			return obj is DatabaseKeyInt @int &&
				   platformId == @int.platformId &&
				   targetId == @int.targetId;
		}

		public override int GetHashCode()
		{
			return HashCode.Combine(platformId, targetId);
		}
	}
}
